#ifndef ERRORWINDOW_H
#define ERRORWINDOW_H

#include <QDialog>

namespace Ui {
class ErrorWindow;
}

/**
 * Clase que implementa el comportamiento de ErrorWindow
 * Es la clase de la ventana de error, la cual aparece si
 * @author Luis Leiva, Felipe Muñoz, Sebastian Ubiergo
 */
class ErrorWindow : public QDialog
{
    Q_OBJECT

public:
    /**
     * Constructor de ErrorWindow. Inicializa un nuevo objeto.
     * @param parent:
     */
    explicit ErrorWindow(QWidget *parent = 0);
    /**
     * Destructor de ErrorWindow.
     */
    ~ErrorWindow();

public slots:
    /**
     * Cierra esta ventana.
     */
    void CloseWindow(void);

private:
    Ui::ErrorWindow *ui;
};

#endif // ERRORWINDOW_H
